---
wsId: mwallet
title: 'Bitcoin Wallet: buy BTC & BCH'
altTitle: 
authors:
- leo
appId: com.bitcoin.mwallet
appCountry: 
idd: 1252903728
released: 2017-07-11
updated: 2022-05-12
version: 7.18.1
stars: 4.5
reviews: 13814
size: '141747200'
website: https://wallet.bitcoin.com/
repository: 
issue: 
icon: com.bitcoin.mwallet.jpg
bugbounty: 
meta: ok
verdict: nosource
date: 2021-05-20
signer: 
reviewArchive: 
twitter: bitcoincom
social:
- https://www.facebook.com/buy.bitcoin.news
- https://www.reddit.com/r/btc

---

According to
[the words of its owner on 2020-04-12](https://www.reddit.com/r/btc/comments/g04ece/bitcoincom_wallet_app_is_still_closed_source/fn7rlvy/)
this wallet is closed source until further notice. There was no indication of a
change by 2020-05-20. We assume it is still
supposed to be non-custodial but without source code, this is **not verifiable**.
